summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2012-12-19 10:42:32 +0100
committerHolger Levsen <holger@layer-acht.org>2012-12-19 10:42:32 +0100
commit28dbf57aefc251e2a75ce99e85cdef82dbbd385a (patch)
tree94898ac63c4f37f61634e868e7270f215690138f /bin
parent672986954633caa47475866ef69b5dd358bad875 (diff)
downloadjenkins.debian.net-28dbf57aefc251e2a75ce99e85cdef82dbbd385a.tar.xz
use right mountpoint for umount call and always use umount -l
Diffstat (limited to 'bin')
-rwxr-xr-xbin/g-i-installation.sh6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 0660faf4..5cc50788 100755
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -96,7 +96,7 @@ cleanup_all() {
#
# cleanup
#
- sudo umount $IMAGE_MNT
+ sudo umount -l $IMAGE_MNT
}
show_preseed() {
@@ -362,7 +362,9 @@ case $JOB_NAME in
# kill qemu and image
#
sudo kill -9 $(ps fax | grep [q]emu-system | grep ${NAME}_preseed.cfg 2>/dev/null | awk '{print $1}') || true
- if [ ! -z $IMAGE ] ; then sudo umount -l $IMAGE ; fi
+ if [ ! -z $IMAGE ] ; then
+ sudo umount -l $IMAGE_MNT || true
+ fi
boot_system
monitor_system normal
;;